// Copyright 2020 Thomas Hintz
//
// This file is part of the Alpha Centauri Farming project.
//
// The Alpha Centauri Farming project is free software: you can
// redistribute it and/or modify it under the terms of the GNU General
// Public License as published by the Free Software Foundation, either
// version 3 of the License, or (at your option) any later version.
//
// The Alpha Centauri Farming project is distributed in the hope that
// it will be useful, but WITHOUT ANY WARRANTY; without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with the Alpha Centauri Farming project.  If not, see
// <https://www.gnu.org/licenses/>.

import { SET_START_GAMES, START_OR_JOIN_GAME, SET_USER, SET_OPEN_GAMES,
         SET_ERRORS } from './actionTypes.js'

export { setStartGames, startOrJoinGame, setUser, setOpenGames, setErrors }

function setStartGames(games) {
    return { type: SET_START_GAMES,
             games };
}

function setOpenGames(games) {
    return { type: SET_OPEN_GAMES,
             games };
}

function setUser(user) {
    return { type: SET_USER,
             user };
}

function startOrJoinGame(msg) {
    return { type: START_OR_JOIN_GAME,
             msg };
}

function setErrors(errors) {
    return { type: SET_ERRORS,
             errors };
}
